%ifarch %{ix86}
%global machine_type_name ia32
%endif
%ifarch x86_64
%global machine_type_name x64
%endif

Name:           gummiboot
Version:        38
Release:        1%{?dist}
Summary:        Simple EFI Boot Manager
ExclusiveArch:  %{ix86} x86_64
License:        LGPLv2+
URL:            http://freedesktop.org/wiki/Software/gummiboot
# git clone git://anongit.freedesktop.org/gummiboot
# cd gummiboot/
# ./autogen
# ./configure
# make distcheck
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  gnu-efi
BuildRequires:  pkgconfig
BuildRequires:  libblkid-devel
BuildRequires:  libblkid-devel
BuildRequires:  libxslt
BuildRequires:  docbook-style-xsl
BuildRequires:  pesign

%description
gummiboot is a simple UEFI boot manager which executes configured EFI
images. The default entry is selected by a configured pattern (glob)
or an on-screen menu.

gummiboot operates on the EFI System Partition (ESP) only. gummiboot
reads simple and entirely generic boot loader configuration files;
one file per boot loader entry to select from.

Configuration file fragments, kernels, initrds, other EFI images need
to reside on the ESP.

%prep
%setup -q

%build
%configure \
  --libexecdir=%{_prefix}/lib
make V=1 %{?_smp_mflags}
mv gummiboot%{machine_type_name}.efi gummiboot%{machine_type_name}.orig
%pesign -s -i gummiboot%{machine_type_name}.orig -o gummiboot%{machine_type_name}.efi

%install
%make_install

%post
/usr/bin/gummiboot update >/dev/null 2>&1 || :

%files
%doc README LICENSE
%{_bindir}/gummiboot
%{_mandir}/man8/*
%dir %{_prefix}/lib/gummiboot
%{_prefix}/lib/gummiboot/gummiboot%{machine_type_name}.efi

%changelog
* Mon Sep 23 2013 Kay Sievers <kay@redhat.com> - 38-1
- version 38

* Mon Sep 09 2013 Harald Hoyer <harald@redhat.com> 37-1
- version 37

* Thu Aug 22 2013 Kay Sievers <kay@redhat.com> - 36-1
- version 36

* Thu Aug 08 2013 Kay Sievers <kay@redhat.com> - 35-1
- version 35

* Tue Jul 30 2013 Kay Sievers <kay@redhat.com> - 34-1
- version 34

* Wed Jun 19 2013 Kay Sievers <kay@redhat.com> - 33-1
- version 33

* Fri May 17 2013 Kay Sievers <kay@redhat.com> - 31-1
- version 31

* Tue Apr 09 2013 Kay Sievers <kay@redhat.com> - 30-1
- version 30

* Sat Mar 23 2013 Kay Sievers <kay@redhat.com> - 29-2
- version 29

* Sat Mar 16 2013 Kay Sievers <kay@redhat.com> - 28-1
- version 28

* Sat Mar 16 2013 Kay Sievers <kay@redhat.com> - 27-1
- version 27

* Fri Mar 08 2013 Kay Sievers <kay@redhat.com> - 26-1
- version 26

* Fri Mar 08 2013 Kay Sievers <kay@redhat.com> - 25-1
- version 25

* Tue Feb 26 2013 Kay Sievers <kay@redhat.com> - 24-1
- version 24
- use ExclusiveArch instead of ExcludeArch

* Tue Feb 26 2013 Kay Sievers <kay@redhat.com> - 23-2
- add pesign call
- build 32 bit x86

* Wed Feb 20 2013 Kay Sievers <kay@redhat.com> - 23-1
- version 23

* Tue Feb 19 2013 Kay Sievers <kay@redhat.com> - 22-1
- version 22

* Mon Feb 18 2013 Kay Sievers <kay@redhat.com> - 21-1
- version 21

* Mon Feb 18 2013 Kay Sievers <kay@redhat.com> - 20-1
- version 20

* Mon Feb 11 2013 Kay Sievers <kay@redhat.com> - 19-1
- version 19

* Fri Feb 08 2013 Kay Sievers <kay@redhat.com> - 18-1
- version 18

* Sun Feb 03 2013 Kay Sievers <kay@redhat.com> - 17-1
- version 17

* Thu Jan 24 2013 Kay Sievers <kay@redhat.com> - 16-1
- version 16

* Wed Jan 23 2013 Kay Sievers <kay@redhat.com> - 15-1
- version 15

* Tue Jan 22 2013 Kay Sievers <kay@redhat.com> - 14-1
- version 14

* Mon Jan 21 2013 Kay Sievers <kay@redhat.com> - 13-1
- version 13

* Mon Jan 21 2013 Kay Sievers <kay@redhat.com> - 12-1
- version 12

* Sat Jan 19 2013 Kay Sievers <kay@redhat.com> - 11-1
- version 11

* Thu Jan 17 2013 Kay Sievers <kay@redhat.com> - 10-1
- initial packaging
